
:root {
  --primary: #0072BC;
  --secondary: #131619;
  --white: #FFFFFF; 
  --black: #000000; 
}


*{
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body{
  font-family: "Abel", sans-serif;
  font-optical-sizing: auto;
  font-weight: 400;
  font-style: normal;
  font-size: 1.1rem;
  line-height: 1.7;
  color:var(--secondary);
  background-color: var(--white); 
}

img{
  border: 0;
  max-width:100%;
}

a{
  text-decoration: none;
  cursor:pointer;
  transition:.7s color, .7s background-color, .3s opacity;
  color:var(--secondary);
}
a:focus{
  outline: none;
}
a:hover, .button:hover{
  color: var(--secondary); 
  transition:.3s color, .3s background-color, .3s opacity;
}

h1, h2{
  font-family: "Bellefair", serif;
  font-size: 2rem;
  line-height: 1.2;
  font-weight: 400; 
  color: var(--secondary); 
  margin-bottom: 25px; 
}


h3{
  font-size: 1.5rem;
  line-height: 1.2;
  font-weight: 300; 
  margin-top: 40px;
  margin-bottom: 10px;
}


h4{
  font-size: 1.2rem;
  font-weight: 600;
  margin: 30px 0 5px 0;
}

h3:first-child, h4:first-child{
  margin-top:0;
}

p{
  margin-bottom: 15px;
}
p:last-child{
  margin-bottom:0;
}

ul, ol{
  margin: 0 0 15px 30px;
}

.large{
  font-size: 1.2rem;
}
.small{
  font-size: 0.9rem;
}

.light{
  font-weight:300;
}
.semi{
  font-weight: 600;
}

.clear{ clear: both; }

.container{
  margin: 0 auto;
  width: 90%;
  max-width: 1160px;
  position:relative;
}
.container.narrow{
  max-width: 850px;
}

.flex{
  display:flex;
}
.flex.wrap{
  flex-wrap:wrap;
}
.flex.end{
  align-items:flex-end;
}
.flex.vert{
  align-items:center;
}
.flex .full{
  width: 100%;
}
.flex .half{
  width: 47%;
  margin-right: 6%;
}
.flex .half:nth-child(2n+2){
  margin-right:0;
}

.flex .third{
  width: 32%;
  margin-right: 2%;
}
.flex .third:nth-child(3n+3){
  margin-right:0;
}

.flex.swap{
  flex-direction: row-reverse;
}

.flex.swap .half{
  margin-right:0;
  margin-left:6%;
}
.flex.swap .half:nth-child(2n+2){
  margin-left:0;
}



.g1{ display: grid; grid-template-columns: repeat(1, 1fr); gap: 20px; }
.g2{ display: grid; grid-template-columns: repeat(2, 1fr); gap: 20px; }
.g3{ display: grid; grid-template-columns: repeat(3, 1fr); gap: 20px; }
.g4{ display: grid; grid-template-columns: repeat(4, 1fr); gap: 20px; }
.g5{ display: grid; grid-template-columns: repeat(5, 1fr); gap: 20px; }
.g6{ display: grid; grid-template-columns: repeat(6, 1fr); gap: 20px; }
.g7{ display: grid; grid-template-columns: repeat(7, 1fr); gap: 20px; }
.g8{ display: grid; grid-template-columns: repeat(8, 1fr); gap: 20px; }
.g9{ display: grid; grid-template-columns: repeat(9, 1fr); gap: 20px; }
.g11{ display: grid; grid-template-columns: repeat(10, 1fr); gap: 20px; }
.g11{ display: grid; grid-template-columns: repeat(11, 1fr); gap: 20px; }
.g12{ display: grid; grid-template-columns: repeat(12, 1fr); gap: 20px; }

.s1{ grid-column: span 1; }
.s2{ grid-column: span 2; }
.s3{ grid-column: span 3; }
.s4{ grid-column: span 4; }
.s5{ grid-column: span 5; }
.s6{ grid-column: span 6; }
.s7{ grid-column: span 7; }
.s8{ grid-column: span 8; }
.s9{ grid-column: span 9; }
.s10{ grid-column: span 10; }
.s11{ grid-column: span 11; }
.s12{ grid-column: span 12; }


.grid-gap{
  gap: 50px !important;
}
.grid-tight{
  gap: 10px !important; 
}

.grid-vert{
  align-items: center; 
}

.grid-swap div:first-child{
  order: 2;
}
.grid-swap div:last-child{
  order:1;
}


.margined{
  margin: 75px auto;
}
.margined-med{
  margin: 50px auto;
}
.margined-small{
  margin: 25px auto;
}
.margined-tiny{
  margin: 6px auto; 
}

.topmargin{
  margin-top: 75px;
}
.topmargin-med{
  margin-top: 50px;
}
.topmargin-small{
  margin-top: 25px;
}
.topmargin-tiny{
  margin-top: 7px; 
}

.bottommargin{
  margin-bottom: 75px;
}
.bottommargin-med{
  margin-bottom: 50px;
}
.bottommargin-small{
  margin-bottom: 25px;
}


.padded{
  padding: 50px;
}
.vpadded{
  padding: 50px 0; 
}
.vpadded-tiny{
  padding: 10px 0; 
}

.left{
  text-align:left;
}
.center{
  text-align:center;
}
.right{
  text-align:right;
}

.relative{
  position:relative;
}

.label{
  display:block;
  margin-top: 15px; 
  color: var(--secondary); 
  font-size: 0.8rem; 
}
.input{
  display:block;
  width:100%;
  padding: 10px; 
  font-family: "Abel", sans-serif;
  font-size: 1rem; 
  border: 1px solid #CCC;
  background-color: #FFF; 
}

.button{
  display: inline-block;
  border-radius: 4px;
  background-color: var(--primary);
  color:var(--white);
  padding: 10px 25px;
  border: none; 
  cursor:pointer; 
  transition: .7s transform;
  font-family: "Bellefair", serif;
  text-transform: uppercase;
  font-size: 1rem; 
}
.button:hover{
  background-color: var(--primary);
  color:var(--white);
  transform: scale(1.05);
  transition: .3s transform;
  text-decoration: none !important; 
}

.inline{
  display:inline;
}

.inlineblock{
  display:inline-block;
}

.block{
  display:block;
}
img.block{
  width:100%;
}

.bgcover{
  background-size:cover;
  background-position: center center;
  background-repeat: no-repeat;
}

.v50{ height: 50vh; }
.v80{ height: 80vh; }
.v100{ height: 100vh; }

img.aspect{ object-fit: cover; }
.aspect-square{ aspect-ratio: 1/1; }
.aspect-video{ aspect-ratio: 16/9; }
.aspect-photo{ aspect-ratio: 4/3; }

.bg-primary{ background-color: var(--primary); }
.bg-secondary{ background-color: var(--secondary); }
.bg-white{ background-color: var(--white); } 
.text-primary{ color: var(--primary); }
.text-secondary{ color: var(--secondary); }
.text-black{ color: var(--black); }
.text-white{ color: var(--white); }

.dev-error{
  border: 2px solid #BF312F;
  background-color: #FCDFDF;
  padding: 10px;
  margin: 20px auto;
  font-size: 13px; 
  line-height: 15px; 
}


header nav a{
  display: inline-block; 
  margin-left: 15px; 
  color: var(--secondary); 
  border-bottom: 2px solid transparent; 
  transition:.7s border-color, .7s color;
}
header nav a:hover{
  color: var(--secondary); 
  border-color: var(--secondary); 
  transition:.3s border-color, .3s color;
}
header nav a.current{
  border-color:var(--primary); 
}

header nav a .cart-icon{
  width: 20px; 
  vertical-align:middle; 
}

.sponsors{
  gap: 80px; 
}
.sponsors a{
  flex: 1; 
}
.sponsors a img{
  width: 200px; 
}

footer a{
  color: var(--white); 
}
footer a:hover{
  color: var(--white); 
  text-decoration: underline; 
}

footer nav a{
  margin-right: 10px; 
  border-right: 1px solid #FFF; 
  padding-right: 10px; 
}
footer nav a:last-child{
  border-right:none; 
}



.tabs{
  display:flex;
  flex-wrap: wrap; 
  gap: 5px; 
}
.tabs.center{
  justify-content: center;
}

.tabs a, .tabs label{
  border: 1px solid #CCC; 
  padding: 5px 10px; 
  font-size: 0.8rem; 
  border-radius: 8px; 
  cursor:pointer; 
}
.tabs a:hover, .tabs label:hover{
  background-color:#FFF; 
}
.tabs a.current{
  background-color: var(--secondary); 
  color: var(--white); 
}
.tabs.small{
  gap: 3px; 
}
.tabs.small a{
  padding: 2px 8px; 
  font-size: 0.6rem; 
}

.tabs label input{
  display:none;
}

.tabs label:has(input:checked){
  background-color: var(--secondary); 
  color: var(--white); 
}



.hover-zoom{
  transition: .7s transform, .7s background-color;
}
.hover-zoom:hover{
  transform: scale(1.05);
  transition: .3s transform, .3s background-color;
}



.hover-overlay{
  position:absolute;
  top:0;
  left:0;
  width:100%;
  height:100%;
  background:rgba(0,0,0,.4); 
  color:#FFF; 
  padding: 20px; 
  text-align:center; 
  opacity: 0;
  transition: 1.5s opacity; 
}
a:hover .hover-overlay{
  opacity: 1;
  transition: .7s opacity; 
}


.cart{
  width: 100%; 
  border-collapse: collapse;
}
.cart th{
  background-color: var(--primary);
  color: var(--white); 
  font-weight: 400; 
  text-align: left; 
}
.cart td, .cart th{
  padding: 10px 20px;
}
.cart td{
  background-color:var(--white);
  border-bottom: 1px solid #CCC; 
}
.cart tr:last-child td{
  border:none; 
}
.cart td img{
  width: 100px; 
  max-width:100px; 
}

.issue-photo{
  background-color:#F1f1f1; 
}
.issue-photo img{
  display: block;
  max-width: 100%; 
  margin: 0 auto; 
}

.copy a{
  color: var(--primary);
}
.copy a:hover{
  text-decoration: underline;
}


.xscroll{
  width: 100%;
  overflow-x:auto;
}